#!/usr/bin/env bash
set -euo pipefail

RULESET_URL="$1"

git clone --depth=1 "${RULESET_URL}" ruleset
pushd ruleset
ASSEMBLY_NAME="$(basename "$(find . -iname '*.sln' -printf '%f\n' | head -n1)" .sln)"
dotnet build -c Release ${ASSEMBLY_NAME}
case "${ASSEMBLY_NAME}" in
	# special build steps can be put here
	*)
	mkdir /dlls
	mv ${ASSEMBLY_NAME}/bin/Release/net*/${ASSEMBLY_NAME}.dll /dlls/
	;;
esac
popd
rm -rf ruleset
