#!/usr/bin/env bash
BASEDIR="$(dirname $(realpath -s $0))"

mkdir -p "$HOME/.local/share/osu" "$BASEDIR/import"

podman run \
	--rm \
	-it \
	--name osu \
	--userns="keep-id:uid=$(id -u),gid=$(id -g)" \
	--device /dev/dri \
	--group-add $(getent group audio|cut -d: -f3) \
	--group-add $(getent group video|cut -d: -f3) \
	-e PULSE_COOKIE=/run/pulse/cookie \
	-e PULSE_SERVER=/run/user/$(id -u)/pulse/native \
	-e WAYLAND_DISPLAY \
	-e XDG_RUNTIME_DIR \
	-v "$HOME/.local/share/osu/:/home/osu/.local/share/osu/" \
	-v "$BASEDIR/import/:$BASEDIR/import/" \
	-v "$HOME/.config/pulse/cookie:/run/pulse/cookie" \
	-v "${XDG_RUNTIME_DIR}:${XDG_RUNTIME_DIR}" \
	osu \
	$@
